update_firmware aborting during run [Solved]

J Potter jpotter-dell at codepuppy.com
Tue Oct 30 20:18:17 CDT 2007


Thanks, Michael -- we did try running it after the resync, and it  
completed fine then. update_firmware appears to fail if the raid  
controller is busy doing anything like a rebuild; rather understandably.

best,
Jeff

On Oct 30, 2007, at 6:20 PM, Michael E Brown wrote:

> On Sun, Oct 28, 2007 at 06:32:47AM -0400, J. Potter wrote:
>>
>> Hi List --
>>
>> We have a 1850 running CentOS 4.5, and in trying to update the
>> firmware with "update_firmware --yes", but are running into a
>> problem: the updater aborts with the message "The error message from
>> the low-level command was:" and then nothing else.
>>
>> I don't see anything on console or in /var/log/messages, either. This
>> is after a reboot, so it's not a lack of 1-4MB contiguous memory. (I
>> got that error the first time I ran it and did reboot -- now it's a
>> different error message.)
>
> Updates for LSI write directly to the flash part, so no need for
> contiguous memory there.
>
>> Any thoughts? Would it matter that one of the raid disks is  
>> resyncing?
>
> That would probably be it. I'm running the lsi flash program in silent
> mode, so it probably just isnt outputting anything.
>
> Try again when you are not syncing and if it still gives problems,  
> I'll
> show you how to run the flash app by hand.
> --
> Michael
>
>>
>> Thanks!
>> -Jeff
>>
>>
>>> # update_firmware --yes
>>>
>>> Searching storage directory for available BIOS updates...
>>>
>>> Checking System BIOS for PowerEdge 1850 - a04
>>>       Available: system_bios(ven_0x1028_dev_0x016c) - a06
>>>       Found Update: system_bios(ven_0x1028_dev_0x016c) - a06
>>> Checking PERC 4e/Si - 521x
>>>       Available: pci_firmware
>>> (ven_0x1028_dev_0x0013_subven_0x1028_subdev_0x016c) - 522d
>>>       Found Update: pci_firmware
>>> (ven_0x1028_dev_0x0013_subven_0x1028_subdev_0x016c) - 522d
>>>
>>> Found firmware which needs to be updated.
>>>
>>> Running updates...
>>> Installing system_bios(ven_0x1028_dev_0x016c) - a06
>>> Installing pci_firmware
>>> (ven_0x1028_dev_0x0013_subven_0x1028_subdev_0x016c) - 522d
>>> Installation failed for package: pci_firmware
>>> (ven_0x1028_dev_0x0013_subven_0x1028_subdev_0x016c) - 522d
>>> aborting update...
>>>
>>> The error message from the low-level command was:
>>>
>>> #
>>
>>
>>



More information about the Linux-PowerEdge mailing list